teamviewer.com link icon
or
Ask The Community

Connection from latest ver. to old ver. not working?

It's our understanding that regardless of which older version of TV we use, any later version will still remotely connect to the older version. As we understand it the reverse is not true, i.e., that remote connections from old to new will fail.

We're using 15.13 to connect to 14.2, and receiving this message:

Before Christmas 2020, we were able to connect to this machine with no problems.

Any advice is appreciated.

Comments

  • Vatsilidis
    Vatsilidis Posts: 661 Star

    Hi @SyComputing

    Are you a licensed or free user?

    As far as I know, free users can not connect to previous versions.

    Best

  • SyComputing
    SyComputing Posts: 5 ✭✭


    Hi Vat:

    Thanks for your reply, that's interesting. The user in question is a free user, yes.

    Odd that connections are reported to have worked prior to Christmas. I'll check with the user to confirm.

  • fmtz_amor
    fmtz_amor Posts: 0 Newbie

    I have the same problem!

    I am a free user.

    I downloaded Teamviewer Portable V13, 14, 15 for the client.

    Changed / updated from V14.2 full version to V14.7 Host Only version and can not connect (still getting the same afore mentioned message!

    Any notion how to fix this would be appreciated!

    It looks as if you managed to fix it since there is no further inquiry!

    Could you help out with your approch(es).

Sign In or Register to comment.